Bug 139462 - yum doesnt fail gracefully on early user cancel
yum doesnt fail gracefully on early user cancel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-15 22:41 EST by Rahul Sundaram
Modified: 2014-01-21 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-30 01:10:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2004-11-15 22:41:00 EST
Description of problem:

I start a package installation through yum and cancel it immediately.
It fails with traceback

Version-Release number of selected component (if applicable):


How reproducible:

everytime

Steps to Reproduce:
1. yum install package. 
2. cancel using control+c immediately

  
Actual results:

yum -y gnome-panel
Traceback (most recent call last):
  File "/usr/bin/yum", line 6, in ?
    import yummain
  File "/usr/share/yum-cli/yummain.py", line 23, in ?
    import yum
  File "/usr/lib/python2.3/site-packages/yum/__init__.py", line 35, in ?
    import depsolve
  File "/usr/lib/python2.3/site-packages/yum/depsolve.py", line 30, in ?
    import packages
  File "/usr/lib/python2.3/site-packages/yum/packages.py", line 18, in ?
    import rpm
KeyboardInterrupt


Expected results:

output: exit on user cancel

Additional info:

It does this correctly if cancelled after a minute or so
Comment 1 Seth Vidal 2004-11-15 23:01:50 EST
the main yum handler that captures the keyboard interrupt isn't loaded
at that time.

There's not much I can do.
Comment 2 Rahul Sundaram 2004-11-15 23:08:03 EST
I have no idea on the actual code but perhaps trying to load the
keyboard handing module or something as early as possible might help
Comment 3 Seth Vidal 2004-11-30 01:10:05 EST
I load it in /usr/bin/yum, now.

if you ctrl-c at that point it will try to catch it.

beyond that, not a lot I can do.

This is fixed in yum 2.1.12

Note You need to log in before you can comment on or make changes to this bug.